Main Page Class Hierarchy Compound List File List Compound Members Related Pages

# sc::MsgStateBufRecv Class Reference

The MsgStateBufRecv is an abstract base class that buffers objects sent through a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::MsgStateBufRecv:

[legend]
Collaboration diagram for sc::MsgStateBufRecv:

[legend]
List of all members.

## Public Methods

| MsgStateBufRecv (const Ref< MessageGrp > &)
| MsgStateBufRecv can be initialized with a MessageGrp.
| MsgStateBufRecv ()
| Use the default MessageGrp.
virtual | ~MsgStateBufRecv ()
void | set_buffer_size (int)
| The buffer size of statein and stateout objects that communicate with each other must match.

## Protected Methods

int | get_array_void (void *, int)
virtual void | next_buffer ()=0
| Specializations must implement next_buffer().

## Protected Attributes

Ref< MessageGrp > | grp
int | nbuf
int | ibuf
int | bufsize
char * | buffer
char * | send_buffer
int | nheader
int * | nbuf_buffer

## Detailed Description

The MsgStateBufRecv is an abstract base class that buffers objects sent through a MessageGrp.

The documentation for this class was generated from the following file:

- mstate.h